[SCM] Debian packaging for jack-audio-connection-kit branch, master, updated. debian/0.116.2+svn3592-2-4-gbb13d57
adiknoth-guest at users.alioth.debian.org
adiknoth-guest at users.alioth.debian.org
Sun Aug 2 19:56:57 UTC 2009
The following commit has been merged in the master branch:
commit cb612012ca5c5f8d57e08aa2ee2c7c01183e2da4
Author: Adrian Knoth <adi at drcomp.erfurt.thur.de>
Date: Sun Aug 2 20:17:43 2009 +0200
Actively remove /etc/init.d/jackd (Closes: 538963)
diff --git a/debian/jackd.preinst b/debian/jackd.preinst
new file mode 100644
index 0000000..32e6e65
--- /dev/null
+++ b/debian/jackd.preinst
@@ -0,0 +1,33 @@
+#!/bin/sh -e
+
+# Remove a no-longer used conffile
+rm_conffile() {
+ local PKGNAME="$1"
+ local CONFFILE="$2"
+
+ [ -e "$CONFFILE" ] || return 0
+
+ local md5sum="$(md5sum $CONFFILE | sed -e 's/ .*//')"
+ local old_md5sum="$(dpkg-query -W -f='${Conffiles}' $PKGNAME | \
+ sed -n -e "\' $CONFFILE ' { s/ obsolete$//; s/.* //; p }")"
+ if [ "$md5sum" != "$old_md5sum" ] && \
+ [ "$md5sum" != "c9d1f0caa7b49ce7f0d2bc7b458bdd3f" ]; then
+ echo "Obsolete conffile $CONFFILE has been modified by you."
+ echo "Saving as $CONFFILE.dpkg-bak ..."
+ mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
+ else
+ echo "Removing obsolete conffile $CONFFILE ..."
+ rm -f "$CONFFILE"
+ fi
+}
+
+LASTVERSION=0.116.2+svn3592-2
+
+case "$1" in
+install|upgrade)
+ if dpkg --compare-versions "$2" le "$LASTVERSION"; then
+ rm_conffile jackd "/etc/init.d/jackd"
+ fi
+esac
+
+#DEBHELPER#
--
Debian packaging for jack-audio-connection-kit
More information about the pkg-multimedia-commits
mailing list